Entities\Resource:
    type: entity
    table: resources
    repositoryClass: Repositories\ResourceRepository
    id:    
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        name:
            type: string
            nullable: false
            length: 255
        mime_type:
            type: string
            length: 255
            nullable: true
        path:
            type: string
            length: 255
            nullable: true
        full_path:
            type: string
            length: 255
            nullable: true
        url_path:
            type: string
            length: 255
            nullable: true
        full_url_path:
            type: string
            length: 255
            nullable: true
        raw_name:
            type: string
            length: 255
            nullable: true
        extension:
            type: string
            length: 255
            nullable: true
    lifecycleCallbacks: { }